%define        pkgver     %(echo %version | tr . _)
Name:          xerces-j2
Version:       2.12.2
Release:       1mamba
Summary:       High performance, fully compliant XML parser
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://xerces.apache.org/
Source0:       https://downloads.apache.org/xerces/j/binaries/Xerces-J-bin.%{version}.tar.gz
License:       Apache Software License 2.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
Requires:      javapackages
#Requires:      xml-commons-apis

%description
Welcome to the future! Xerces2 is the next generation of high performance, fully compliant XML parsers in the Apache Xerces family.
This new version of Xerces introduces the Xerces Native Interface (XNI), a complete framework for building parser components and configurations that is extremely modular and easy to program.
The Apache Xerces2 parser is the reference implementation of XNI but other parser components, configurations, and parsers can be written using the Xerces Native Interface. For complete design and implementation documents, refer to the XNI Manual.
Xerces 2 is a fully conforming XML Schema processor. For more information, refer to the XML Schema page.
Xerces 2 also provides a partial implementation of Document Object Model Level 3 Core, Load and Save and Abstract Schemas [deprecated] Working Drafts. For more information, refer to the DOM Level 3 Implementation page.

%prep
%setup -q -n xerces-%{pkgver}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -pm 644 xercesImpl.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -sf %{name}-%{version}.jar %{buildroot}%{_javadir}/xercesImpl-%{version}.jar
ln -sf %{name}-%{version}.jar %{buildroot}%{_javadir}/xerces-%{version}.jar
ln -sf %{name}-%{version}.jar %{buildroot}%{_javadir}/xerces.jar
install -pm 644 serializer.jar %{buildroot}%{_javadir}/serializer-%{version}.jar
install -pm 644 xml-apis.jar %{buildroot}%{_javadir}/xml-apis-%{version}.jar

(
  pushd %{buildroot}%{_javadir}
    for jar in *-%{version}.jar; do 
      ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
    done
  popd
)

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/xercesImpl.jar
%{_javadir}/xercesImpl-%{version}.jar
%{_javadir}/xerces-j2-%{version}.jar
%{_javadir}/xerces-j2.jar
%{_javadir}/xerces-%{version}.jar
%{_javadir}/xerces.jar
%{_datadir}/java/serializer-%{version}.jar
%{_datadir}/java/serializer.jar
%{_datadir}/java/xml-apis-%{version}.jar
%{_datadir}/java/xml-apis.jar
%doc LICENSE LICENSE.*.txt

%changelog
* Wed Aug 17 2022 Automatic Build System <autodist@mambasoft.it> 2.12.2-1mamba
- automatic version update by autodist

* Tue Aug 16 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.1-1mamba
- update to 2.12.1

* Thu Feb 10 2011 gil <puntogil@libero.it> 2.11.0-2mamba
- add java-icu4j4 support

* Wed Dec 22 2010 gil <puntogil@libero.it> 2.11.0-1mamba
- update to 2.11.0

* Tue Aug 24 2010 gil <puntogil@libero.it> 2.10.0-3mamba
- added osgi manifest

* Fri Jul 09 2010 gil <puntogil@libero.it> 2.10.0-2mamba
- add maven2 pom

* Fri Jul 09 2010 gil <puntogil@libero.it> 2.10.0-1mamba
- update to 2.10.0
- new build requires apache batik
- bootstrap

* Tue Nov 24 2009 gil <puntogil@libero.it> 2.9.1-5mamba
- added java-xml-stylebook support
- added new sub package: repolib

* Mon Jun 29 2009 gil <puntogil@libero.it> 2.9.1-4mamba
- rebuilt

* Mon Jun 08 2009 gil <puntogil@libero.it> 2.9.1-3mamba
- rebuilt

* Mon Jun 08 2009 gil <puntogil@libero.it> 2.9.1-2mamba
- rebuilt

* Sat Mar 21 2009 gil <puntogil@libero.it> 2.9.1-1mamba
- update to 2.9.1

* Thu Feb 26 2009 gil <puntogil@libero.it> 2.9.0-1mamba
- rebuilt

* Thu Feb 26 2009 gil <puntogil@libero.it> 2.9.0-1mamba
- update to 2.9.0

* Wed Feb 25 2009 gil <puntogil@libero.it> 2.7.1-3mamba
- fixed some errors

* Tue Feb 24 2009 gil <puntogil@libero.it> 2.7.1-2mamba
- rebuilt edit ant options

* Mon Dec 22 2008 gil <puntogil@libero.it> 2.7.1-1mamba
- package created by autospec
